# A class to use the accounts module to create
# all users with their expected parameters.
#
# @summary Creates the users via the accounts module
#
class account_management::users {
  $required_users = $account_management::required_users
  $required_users.each | $username, $params | {

  # This line applies all the parameters to their corresponding
  # entries in the target data type.
  accounts::user { $username: * => $params }
  }
}
